Git Notes

2010-09-14 21:33 - Eric Thomas

Status: New Start date: 2010-09-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

A relatively new, but useful feature of git are git notes. Redmine currently does not handle notes correctly.

GitHub recently rolled out with support of notes. Perhaps redmine could do something similar.

Related issues:

Related to Redmine - Feature #8045: Support git notes for logging time New 2011-04-01

History

#1 - 2010-09-17 04:56 - Larry Cai

Eric Thomas wrote:

A relatively new, but useful feature of git are git notes. Redmine currently does not handle notes correctly.

GitHub recently rolled out with support of notes. Perhaps redmine could do something similar.

 I like this feature, at least to add support display notes online as first step,

#2 - 2011-01-18 06:20 - Toshi MARUYAMA

- Category set to SCM

#3 - 2011-11-18 17:55 - Toni Uebernickel

Would be great to have commit-to-ticket relations under a given notes-ref.

For example:

git notes --ref=redmine add -m "see #18271"

The related commit should be displayed (like already done by commits containing such a relation directly) on the ticket's details page.

This would separate the actual commit message (what have been done) and the relation to redmine tickets into a separate namespace.

Imho this is cleaner than having the relation in the commit message itself.

#4 - 2013-06-07 09:33 - Vito Marolda

+1. too many times commiters fofget IssueId # tagging. Notes could be a good way to handle this at the repository side.

Powered by TCPDF (www.tcpdf.org)

2025-05-01 1/1

http://www.kernel.org/pub/software/scm/git/docs/git-notes.html
http://github.com/schacon/kidgloves/commit/0385bcc3bc66d1b1ec07346c237061574335c3b8
http://www.kernel.org/pub/software/scm/git/docs/git-notes.html
http://github.com/schacon/kidgloves/commit/0385bcc3bc66d1b1ec07346c237061574335c3b8
http://www.tcpdf.org

